
Smart Proxy - Bug #1004

puppetca is depreciated in puppet 2.6

06/22/2011 06:15 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Corey Osman   

Category: Puppet   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

puppet 2.6 now uses "puppet cert" instead of puppetca.  They have made wrappers to work around compatible issues but

smart-proxy may not know where to look for this if using puppet enterprise.

The code will need to also look for puppet cert if puppetca does not exist

History

#1 - 06/22/2011 09:03 PM - Corey Osman

I made some code modifications and I'll submit a patch soon. Here is the output of the updated code that looks for puppet or puppetca.

D, [2011-06-22T17:27:58.799695 #9207] DEBUG -- : Found puppetca at /opt/puppet/bin/puppet

D, [2011-06-22T17:27:58.799834 #9207] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:27:58.799892 #9207] DEBUG -- : Executing /usr/bin/sudo S /opt/puppet/bin/puppet cert --list --all

D, [2011-06-22T17:56:41.440743 #10433] DEBUG - : Found puppetca at /opt/puppet/bin/puppet cert

D, [2011-06-22T17:56:41.440859 #10433] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:56:41.440927 #10433] DEBUG -- : Executing /usr/bin/sudo S /opt/puppet/bin/puppet cert --list --all

D, [2011-06-22T17:58:20.907048 #10509] DEBUG - : Found puppetca at /opt/puppet/bin/puppet cert

D, [2011-06-22T17:58:20.907168 #10509] DEBUG -- : Found sudo at /usr/bin/sudo

D, [2011-06-22T17:58:20.907213 #10509] DEBUG -- : Executing /usr/bin/sudo -S /opt/puppet/bin/puppet cert --list --all

#2 - 06/23/2011 03:15 PM - Ohad Levy

- Category set to Puppet

- Status changed from New to Closed

- Target version set to 0.3

fixed in 080bebee

#3 - 06/23/2011 03:16 PM - Ohad Levy

- Assignee set to Corey Osman

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://projects.theforeman.org/issues/9207
https://projects.theforeman.org/issues/9207
https://projects.theforeman.org/issues/9207
https://projects.theforeman.org/issues/10433
https://projects.theforeman.org/issues/10433
https://projects.theforeman.org/issues/10433
https://projects.theforeman.org/issues/10509
https://projects.theforeman.org/issues/10509
https://projects.theforeman.org/issues/10509
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/080bebee2eeed31faf76a48b3f178784d9a3ad97
http://www.tcpdf.org

